# Create a supplier

> Create a new supplier.

`POST /rest/api/suppliers`

Creates a Supplier resource.

Creates a supplier in the current organization. Give it a `name`. Send `X-Flowkiwi-Locale` to set the translatable `name` for a specific locale.

## Headers

| Name                         | Type      | Required | Description                                                                                                                                       |
| ---------------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Flowkiwi-Organization-Id` | `string`  | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.  |
| `X-Flowkiwi-Locale`          | `string`  | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used.                                  |
| `X-Flowkiwi-Locale-Fallback` | `boolean` | -        | Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used. |

## Request body

| Property | Type             | Required | Description               |
| -------- | ---------------- | -------- | ------------------------- |
| `name`   | `string \| null` | -        | The name of the supplier. |

## Response

**201** - Supplier resource created

| Property    | Type             | Required | Description                                                               |
| ----------- | ---------------- | -------- | ------------------------------------------------------------------------- |
| `@context`  | `object`         | -        |                                                                           |
| `@id`       | `string`         | Yes      |                                                                           |
| `@type`     | `string`         | Yes      |                                                                           |
| `id`        | `string`         | -        | The resource's unique identifier (UUID).                                  |
| `name`      | `string \| null` | -        | **This property supports translations.**<br><br>The name of the supplier. |
| `createdAt` | `string`         | -        | The date and time when the resource was created (ISO 8601 format).        |
| `updatedAt` | `string`         | -        | The date and time when the resource was last modified (ISO 8601 format).  |

## Errors

**400** - Invalid input

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

**422** - An error occurred

| Property     | Type             | Required | Description |
| ------------ | ---------------- | -------- | ----------- |
| `@context`   | `object`         | -        |             |
| `@id`        | `string`         | Yes      |             |
| `@type`      | `string`         | Yes      |             |
| `status`     | `integer`        | -        |             |
| `violations` | `object[]`       | -        |             |
| `detail`     | `string`         | -        |             |
| `type`       | `string`         | -        |             |
| `title`      | `string \| null` | -        |             |
| `instance`   | `string \| null` | -        |             |

## Examples

### Example request

```bash
curl -X POST 'https://<tenant>.product-management.flowkiwi.net/rest/api/suppliers' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json' \
  -H 'Content-Type: application/ld+json' \
  -d '{
  "name": "Atlas Textiles"
}'
```

### Example response

```json
{
  "@context": "string",
  "@id": "string",
  "@type": "Supplier",
  "id": "019af93e-420e-79f8-800b-6680f03dce20",
  "name": "string",
  "createdAt": "2026-01-15T10:00:00+00:00",
  "updatedAt": "2026-01-15T10:00:00+00:00"
}
```
